Productsup
CDE APIApi referenceManagement

Update organization notification config.

Sign in to run requests against the CDE API.
POST
/organizations/{organizationId}/notification-config

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

organizationId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://cde.staging.productsup.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/notification-config" \  -H "Content-Type: application/json" \  -d '{    "destination": "slack-channel",    "triggers": [      "extensive-release",      "connector-created",      "connector-built",      "connector-synchronized-to-prod"    ]  }'
{
  "message": "Successfully updated notification config for organization.",
  "resource": "organization",
  "data": {
    "uuid": "019e16f3-abba-70e5-901d-73c2a6e5f349",
    "name": "Organization 245a8191-9b94-4bf9-8e24-f7738606beae",
    "connectors-limit": 10,
    "members": [],
    "notification-config": {
      "destination": "slack-channel",
      "triggers": [
        "extensive-release",
        "connector-created",
        "connector-built",
        "connector-synchronized-to-prod"
      ]
    },
    "dev-defaults": null,
    "prod-defaults": null
  }
}
{
  "message": "Bad request.",
  "errors": {
    "destination": "This value should not be blank."
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}

How is this guide?